Results 1 to 2 of 2

Thread: How to upgrade or patch Python 2.7 Vulnerability

  1. #1
    Join Date
    Aug 2009
    Location
    New Mexico
    Beans
    55
    Distro
    Ubuntu

    Question How to upgrade or patch Python 2.7 Vulnerability

    I've got OpenVAS Scanning my Ubuntu servers and I found a few Ubuntu servers that have a Python Vulnerability...see below:

    Vulnerability Detection ResultVulnerable package: python2.7
    Installed version: 2.7.15-4ubuntu4~18.04
    Fixed version: 2.7.15~rc1-1ubuntu0.1

    and in the scan report it is referring to http://www.ubuntu.com/usn/usn-3817-1/

    but I cant see the update or fixing instructions there anywhere....does someone know how actually to fix this?
    MSJ
    Please visit my Blog at http://www.ubuntuvideocast.com

    Thanks

  2. #2
    Join Date
    Jun 2007
    Beans
    17,135

    Re: How to upgrade or patch Python 2.7 Vulnerability

    Quote Originally Posted by mstjohn1974 View Post
    I've got OpenVAS Scanning my Ubuntu servers and I found a few Ubuntu servers that have a Python Vulnerability...see below:

    Vulnerability Detection ResultVulnerable package: python2.7
    Installed version: 2.7.15-4ubuntu4~18.04
    Fixed version: 2.7.15~rc1-1ubuntu0.1

    and in the scan report it is referring to http://www.ubuntu.com/usn/usn-3817-1/

    but I cant see the update or fixing instructions there anywhere....does someone know how actually to fix this?
    That version is prior to the latest python2.7 update so won't be installed.
    The current one you have is from "Published on 2019-06-10", the one you think you need is from "Published on 2018-11-13"
    Are you sure the latest version isn't patched??


    Code:
    $ apt policy python2.7
    python2.7:
      Installed: 2.7.15-4ubuntu4~18.04
      Candidate: 2.7.15-4ubuntu4~18.04
      Version table:
     *** 2.7.15-4ubuntu4~18.04 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
            100 /var/lib/dpkg/status
         2.7.15~rc1-1ubuntu0.1 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
         2.7.15~rc1-1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •